function Find_No_Index_LatDeg (LatIndexDatfile, NewDatName, Linea_Final)
%% ---------------------------------------------------------------------------------
% Version:      22/07/2015    
% (c):          Vicente Calabuig Simón
%               vicasim@etsid.upv.es
%
% 1.- Utilidad:
%
%       Escribe en un fichero .dat los grados de latitud que no tienen índice asignado en
%       el fichero 'LatIndexDatfile'
%
% 2.- Parámetros de entrada:
%
%       LatIndexDatfile: Archivo .txt/.dat con la relación de grados de latitud y su posición en una base de datos (.txt /.dat)
%       NewDatName     : Nombre que se le asignará al nuevo fichero .dat con los grados de latitud sin índice asignado.
%       Linea_Final    : Última línea en el fichero LatIndexDatfile (debe conocerse de antemano)
% 
% 3.- Parámetros de salida:
%    
%       NewDatName.dat/.txt : Archivo de tipo .dat/.txt con los grados de latitud en los que no hay radioayudas       (.txt / .dat)             
%
% 4.- Ejemplo de uso:
%
%   Find_No_Index_LatDeg ('LatIndex_3_12_13.dat', 'LatNOindex_3_12_13.dat', 133);
%
%% -------------------------------------------------------------------------------------------
LatIndexSel= Reading_Database(LatIndexDatfile, 1 ,Linea_Final);
i=0;
faltan =[];
for lat_teo = -90 : 90
    if i < Linea_Final
    i=i+1;
    end
     %Leemos las filas por completo:             Ej:  -89 1
    CompleteString         =   LatIndexSel{i};
    %Buscamos donde está el espacio en la fila leída:
    BlankOrNot = isspace(CompleteString); 
    BlankPos   = 1; 
    while (1)
        if BlankOrNot(BlankPos)
            BlankPos = BlankPos;
            break
        else
            BlankPos = BlankPos + 1;
        end
    end
    %Ahora ya podemos diferenciar los dos elementos de cada fila
    lat_i                  =   CompleteString(1:BlankPos);
    lat_i                  =   lat_i(~isspace(lat_i));
    lat_real               =   str2num(lat_i); 
    % Vamos a comparar la latitud teorica con la que existe en la base de datos
    if (lat_teo ~= lat_real)
        faltan =[faltan; lat_teo];
        i = i-1; 
    end
end
% Conversion de array a cell:
for i = 1 : length(faltan)
    LatIndexCell(i, 1)  = {faltan(i,1)};
end
%Escritura en un fichero .dat
CellArray2TextFile(NewDatName,LatIndexCell);